Subject: bug#19780: 13 failing tests

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 13 Feb 2015 11:33:51 +0100

Ludovic Courtès writes:

>> libnss_sss is used because on my workstation we use sssd for user
>> authentication with LDAP.
>
> Interesting.  How does libnss_sss.so get loaded?  Is it specified in
> /etc/ld.so.preload, /etc/nsswitch.conf, or some other global
> configuration file?

It is mentioned in /etc/nsswitch.conf:

~~~~~~~
...
passwd:     files sss
shadow:     files sss
group:      files sss
services:   files sss
netgroup:   files sss
...
~~~~~~~

> Could you this time replace ‘valgrind’ with ‘strace -f -o log’ in
> ‘pre-inst-env’, and send that log?  I fail to see how this library gets
> loaded.

Attached is the log, but I'm afraid it may not be very helpful.

>> On a possibly related note, Emacs installed through Guix on this
>> Fedora 21 workstation fails to find my user's home directory (which is
>> mounted over NFS).  Upon starting Emacs I get this error: "Error
>> (initialization): User rwurmus has no home directory"; "--debug-init"
>> does not make any difference.  HOME is set, of course.  I wonder if
>> this is a helpful clue.
>
> Does (getpw (getenv "USER")) work on this system?

Yes, with my system guile (2.0.11) it returns my full user record.

    scheme@(guile-user)> (getpw (getenv "USER"))
    $1 = #("rwurmus" "*" 12345 12345 "Wurmus, Ricardo" "/home/rwurmus" "/bin/bash")

In Emacs (installed via Guix) the above error is shown, but (getenv
"HOME") returns my home dir and (getenv "USER") my user name, just as
they should.

~~ Ricardo